/* ===========================
   RESET
=========================== */

*{
    box-sizing:border-box;
    padding:0;
    margin:0;
}

html{
    scroll-behavior:smooth;
}

body{
    background:linear-gradient(100deg, #100d46, #c7a73d);
    color:#BEFFC5;
    padding:.5em 0;
    overflow-x:hidden;
}


/* ===========================
   LANGUAGE SWITCH
=========================== */

.lang-switch{
    position:absolute;
    top:1rem;
    right:5%;
    z-index:1000;
}

.lang-button{
    background-color:rgb(25, 15, 109);
    border:none;
    padding:.5rem 1rem;
    margin:0 .5rem;
    cursor:pointer;
    font-family:josefin-sans,sans-serif;
    color:#f1e189;
    border-radius:6px;
}


/* ===========================
   INTRO
=========================== */

.concept-intro{
    max-width:1600px;
    margin:0 auto;
    display:grid;
    grid-template-columns:60% 40%;
    gap:80px;
    padding:90px 70px 60px;
    align-items:start;
}


.section-label{
    display:block;
    margin-bottom:20px;
    font-family:josefin-sans,sans-serif;
    letter-spacing:.25em;
    font-size:.9rem;
    text-transform:uppercase;
    color:#d2b58f;
}


.concept-intro h1{
    font-family:tt-modernoir,sans-serif;
    font-size:4.3rem;
    line-height:1.05;
    margin-bottom:45px;
    color:#ead7b8;
}


.intro-text p{
    font-family:josefin-sans,sans-serif;
    font-size:1.15rem;
    line-height:1.8;
    color:#ebe2d2;
    margin-bottom:25px;
}


.intro-text .lead{
    font-size:1.4rem;
    color:white;
}


.concept-right img{
    width:100%;
    display:block;
    opacity: 0.8;
}


/* ===========================
   MAIN LAYOUT
=========================== */


.layout {
    display: grid;
    grid-template-columns: 280px 1fr;
    width: 100%;
}


/* ===========================
   SIDEBAR
=========================== */


.sidebar{
    position:sticky;
    top:0;
    height:100vh;
    overflow-y:auto;
    width:280px;
}


.thumb{
    display:block;
    padding:30px;
    background:#0c4164;
    border-bottom:1px solid rgba(255,255,255,.15);
    text-decoration:none;
    color:#b5dde9;
    transition:.3s;
}


.thumb span{
    display:block;
    font-family:tt-modernoir,sans-serif;
    font-size:2.5rem;
    color:#d5ce94;
    margin-bottom:15px;
}


.thumb h3{
    font-family:tt-modernoir,sans-serif;
    font-size:2rem;
    color:#c9d1ee;
    letter-spacing:.04em;
}


.thumb p{
    font-family:josefin-sans,sans-serif;
    font-size:1rem;
    color:#c7b7e0;
}


.thumb:hover {
    background:#4863bd;
}

.thumb.active{
    background:#b44593;
}

.content {
    display: block;
    width: 100%;
}



.lien-conteneur-photo {
    display: block;
}

.content img {
    width: auto;
    max-width: 100%;
    max-height: 600px;
    display: block;
    margin: 0 auto;
}

.analysis {
    display: grid;
    grid-template-columns: minmax(650px, 1fr) 800px;
    gap: 80px;
    padding: 5rem;
    background: linear-gradient(to bottom, var(--theme), var(--theme2));
}


.analysis img {
    width:100%;
    height:auto;
    max-height:none;
    display:block;
}

.section-title {
    position:sticky;
    top:80px;
}


.section-title h2 {
    font-family:tt-modernoir,sans-serif;
    font-size:3rem;
    line-height:1.1;
    color:#ead7b8;
    margin-bottom:20px;
}


.section-title p {
    font-family:josefin-sans,sans-serif;
    color:#d2b58f;
    font-size:1rem;
}


#hikers{
    --theme:rgb(67, 179, 194);
    --theme2:rgb(40, 96, 148);
}

#chalet{
    --theme:rgb(29, 122, 175);
    --theme2:rgb(219, 161, 127);
}

#market{
    --theme:rgb(23, 12, 45);
    --theme2:rgb(108, 92, 165);
}

#festival{
    --theme:rgb(37, 22, 107); 
    --theme2:rgb(153, 42, 38); 
}

.analysis#golf{
    --theme:rgb(224, 183, 93);
    --theme2:rgb(119, 80, 35);
}

.analysis#riviera{
    --theme:rgb(221, 209, 97);
    --theme2:rgb(52, 112, 201);
}
.analysis#beach{
    --theme:rgb(233, 177, 103);
    --theme2:rgb(25, 175, 185);
}
.analysis#tarmac{
    --theme:rgb(120, 207, 231);
    --theme2:rgb(80, 97, 100);
}

#chalet h2,
#chalet p {
    color: rgb(104, 12, 50);
}

#golf h2,
#golf p, 
#riviera h2, 
#riviera p, 
#beach h2,
#beach p, #tarmac h2, #tarmac p {
    color: rgb(36, 16, 88);
}


/* ===========================
   FOOTER
=========================== */


.site-footer{
    background:#350923;
    border:5px solid #89ebf1;
    color:#e78e8b;
    text-align:center;
    padding:2rem 1rem;
    font-family:copperplate,serif;
}




  .site-footer {
    background-color: #241f5f;
    border: 5px solid #daa452;
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
    color: #f0df44;
    text-align: center;
    padding: 2rem 1rem;
    font-family: copperplate, sans-serif;
    font-size: 0.9rem;
}

.footer-content {
    margin: 0 auto;
}

.footer-links {
  justify-content: center;
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  margin-top: 1rem;
}


.footer-links a {
    color: #f0df44;
    text-decoration: none;
    text-align: center;
    font-family: copperplate, sans-serif;
    font-size: 0.95rem;
    transition: color 0.3s;
}

.footer-links a:hover {
    color: #f371e8;
}

.footer-links i {
    margin-right: 0.4rem;
}

.social-icon {
  width: 20px;   /* Réduit la largeur */
  height: auto;  /* Laisse le ratio intact */
  transition: transform 0.3s, opacity 0.3s;
}





/* ===========================
   MOBILE
=========================== */


@media screen and (max-width:768px){

html{
    font-size:15px;
}


.concept-intro{
    display:flex;
    flex-direction:column;
    padding:30px 20px;
    gap:30px;
}


.concept-intro h1{
    font-size:3rem;
}


.concept-right img{
    width:100%;
}


.layout{
    display:flex;
    flex-direction:column;
}


.sidebar {
        position: sticky;
        top: 0;
        left: 0;

        width: 100%;
        height: auto;

        display: flex;
        flex-direction: row;

        overflow-x: auto;
        overflow-y: hidden;
        white-space: nowrap;

        z-index: 9999;

        background: #06041f;

        border-right: none;
        border-bottom: 1px solid rgba(255,255,255,.2);

        scrollbar-width: thin;
    }


.thumb{
    flex:0 0 180px;
    padding:18px;
}


.thumb h3{
    font-size:1.2rem;
}


.analysis.music{
    display:flex;
    flex-direction:column;
    padding:2rem 1rem;
    gap:30px;
}


.analysis-image,
.analysis-text{
    width:100%;
}


.analysis-image h2{
    font-size:2rem;
    text-align:center;
}


.analysis-image img{
    width:100%;
}


.analysis-text{
    padding-top:0;
}


.analysis-text iframe{
    height:500px;
}


}

/* =====================================================
   TABLETTE — 769px à 1120px
   ===================================================== */

@media screen and (min-width: 769px) and (max-width: 1250px) {

    /* =================================================
       HEADER
       ================================================= */

    .concept-intro {
        display: flex;
        flex-direction: row;
        align-items: center;

        width: 100%;
        padding: 80px 5% 50px;

        box-sizing: border-box;
        gap: 4%;
    }

    .concept-left {
        width: 32%;
        flex: 0 0 32%;
    }

    .concept-right {
        width: 64%;
        flex: 0 0 64%;
        margin-top: 0;
    }

    .concept-right img {
        display: block;
        width: 100%;
        height: auto;
    }

    .concept-intro .concept-left h1 {
        font-size: 3.5em;
        line-height: 1.1;
        margin-bottom: 20px;
    }

    .concept-intro .intro-text p {
        font-size: 0.9em;
        line-height: 1.65;
        margin-bottom: 18px;
    }

    .concept-intro .intro-text .lead {
        font-size: 1em;
    }


    /* =================================================
       LAYOUT
       ================================================= */

    .layout {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
    }


    /* =================================================
       SIDEBAR
       ================================================= */

    .sidebar {
        width: 170px;
        flex: 0 0 170px;

        box-sizing: border-box;
    }

    .thumb {
        padding: 12px;
        box-sizing: border-box;
    }

    .thumb h3 {
        font-size: 1.2rem;
        line-height: 1.2;
    }

    .thumb p {
        font-size: 0.8rem;
        line-height: 1.4;
    }


    /* =================================================
       CONTENU
       ================================================= */

    .content {
        width: calc(100% - 170px);

        margin: 0;
        padding: 0;

        box-sizing: border-box;
    }


    /* =================================================
       SECTIONS MAGAZINES
       ================================================= */

    .analysis.music {
        display: flex;
        flex-direction: column;

        width: 100%;

        margin: 0;
        padding: 40px 4%;

        box-sizing: border-box;
    }


    /* =================================================
       IMAGE
       ================================================= */

    .analysis.music > div {
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .analysis.music img {
        display: block;

        width: 100%;
        max-width: 100%;
        height: auto;

        margin: 0;
        padding: 0;
    }


    /* =================================================
       TITRE SOUS L'IMAGE
       ================================================= */

    .analysis.music .section-title {
        width: 100%;

        margin: 10px 0 0;
        padding: 0;
    }

    .analysis.music .section-title h2 {
        font-size: 1.7rem;
        line-height: 1.2;
        margin: 0;
    }

    .analysis.music .section-title p {
        font-size: 0.85rem;
        margin: 5px 0 0;
    }

}